Summary:	Network traffic recorder
Name:		tcpflow
Version:	1.6.1
Release:	%mkrel 5
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/simsong/tcpflow/wiki
# https://digitalcorpora.org/downloads/%%{name}/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/simsong/tcpflow/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		tcpflow-1.6.1-format.patch
Patch1:		tcpflow-1.6.1-uint.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl) >= 1.1

%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging.
A program like 'tcpdump' shows a summary of packets seen on the wire,
but usually doesn't store the data that's actually being transmitted.
In contrast, tcpflow reconstructs the actual data streams and stores
each flow in a separate file for later analysis.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.6.1-5.mga10
+ Revision: 2229630
- Mageia 10 Mass Rebuild

* Fri Oct 25 2024 daviddavid <daviddavid> 1.6.1-4.mga10
+ Revision: 2111162
- add patch to fix missing include <cstdint>

* Wed Mar 30 2022 umeabot <umeabot> 1.6.1-3.mga9
+ Revision: 1834804
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.6.1-2.mga9
+ Revision: 1747851
- rebuild for openssl 3.0.0

* Fri Mar 12 2021 daviddavid <daviddavid> 1.6.1-1.mga9
+ Revision: 1701698
- new version: 1.6.1

* Sat Feb 15 2020 umeabot <umeabot> 1.5.2-2.mga8
+ Revision: 1525112
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Apr 02 2019 daviddavid <daviddavid> 1.5.2-1.mga7
+ Revision: 1385122
- new version: 1.5.2, fixes CVE-2018-18409 (mga#24578)

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1301342
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 daviddavid <daviddavid> 1.5.0-1.mga7
+ Revision: 1253397
- new version: 1.5.0
- remove merged upstream patches

* Sat Sep 09 2017 cjw <cjw> 1.4.5-5.mga7
+ Revision: 1152245
- add patches from debian to fix build with openssl 1.1

* Sat Aug 26 2017 guillomovitch <guillomovitch> 1.4.5-4.mga7
+ Revision: 1148144
- new version 1.4.5
- change build dependencies to keep building against openssl 1.0

* Mon Feb 08 2016 umeabot <umeabot> 1.4.4-4.mga6
+ Revision: 943248
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-3.mga5
+ Revision: 750030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-2.mga5
+ Revision: 689751
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 1.4.4-1.mga5
+ Revision: 592530
- new version 1.4.4

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 519515
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 384177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 fedya <fedya> 1.3.0-1.mga3
+ Revision: 283095
- version update 1.3.0

* Tue Aug 21 2012 fedya <fedya> 1.2.9-1.mga3
+ Revision: 282908
- mkrel1 forgotten comma
- GPL+ license fix
- imported package tcpflow

